Download it now!
Bug 35522 - toggling scrollbars behaves strangely
Summary: toggling scrollbars behaves strangely
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.1 release
Hardware: x86 (IA32) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 37187 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-03-21 14:10 UTC by Robert Vaccaro
Modified: 2016-08-25 14:17 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Scree shot (59.97 KB, application/vnd.oasis.opendocument.graphics)
2012-01-12 07:17 UTC, Harald Koester
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Vaccaro 2011-03-21 14:10:45 UTC
I am on Fedora 14, LO was installed through rpms on LO website.

If you go to Menu->Tools->Options->LibreOffice Writer->View and you uncheck "Horizontal Scrollbar" or "Vertical Scrollbar", then click the "OK" button, nothing happens.  Restart Writer and the scrollbars will not show (except for part of the vertical scrollbar in the horizontal ruler, very ugly).  Use the mouse wheel, zoom in, or maximize the Writer window and blam, scrollbars are back... without pageup and pagedown buttons.

I don't really see the purpose of giving an option to disable the scrollbars.  IMO, this option shouldn't exist, as the scrollbars only show when they're needed anyway.
Comment 1 Rainer Bielefeld Retired 2011-05-14 00:27:29 UTC
*** Bug 37187 has been marked as a duplicate of this bug. ***
Comment 2 Rainer Bielefeld Retired 2011-05-14 00:31:23 UTC
[Reproducible] with "LibreOffice 3.4Beta5  – WIN7  Home Premium  (64bit) German
UI [DEV300m103 (Build:5)]". 

In OOo 3.1.1 WRITER and also LibO 3.4 CALC scroll bars disappear / appear
immediately after confirming uncheck / check by <ok> in 'tools -> option ->
writer -> view -> scrollbar'

Might be related to
Bug 35905 - Horizontal scrollbar doesn't show up on launch

@Radek:
I saw you assigned to similar bug reports.
Please feel free to reassign if it's not your area!
Comment 3 Korrawit Pruegsanusak 2011-07-12 06:43:06 UTC
Is this a duplicate of bug 35427 UI: 'Tools > Options > Writer > View - Show Scroll Slider' checkboxes without enduring effect ?
Comment 4 Harald Koester 2012-01-12 07:15:09 UTC
More strange effects of this bug:

[1] Open Writer with new document.
[2] Uncheck "Horizontal Scrollbar" and "Vertical Scrollbar". Vertical scrollbar is still visible!!!
[3] Increase zoom in order to display the horizontal scrollbar. Bar is displayed although option is disabled !!!
[4] Create new document (File > New > Text Document). A little part of the vertical scrollbar is already visible in the top corner besides the ruler !!!
[5] Use mouse wheel. Now the vertical scrollbar is displayed without buttons but with different strange appearances !!! Trying to move the slider with the mouse pointer doesn't work.
[6] Type in some words. When you reach the right margin, the vertical scrollbar is displayed somewhere in the middle of the document !!! See also attachment.
Comment 5 Harald Koester 2012-01-12 07:17:21 UTC
Created attachment 55492 [details]
Scree shot
Comment 6 Harald Koester 2012-12-06 17:23:42 UTC
I checked this bug again with Version 3.6.4. Changing of options "Vertical scrollbar" and "Horizontal Scrollbar" has still no effect on currently opened documents. If you open or create another document after changing the options, they are considered. 

I could not reproduce other described strange or ugly effects. It seemed that the problem "strange effect" is solved. May be that this problem has been solved with fix of bug 43628, which sounds similar.
Comment 7 bfoman (inactive) 2013-05-16 13:12:47 UTC
This bug has not been touched by its owner for a long time. To make it clearer which bugs should be fixed by someone else please take following action:
- If you are the owner, and you are actively working on the bug, please give it an update. 
- If you are the owner, and you do not plan to work on it in the near future,
please reassign it to the default assignee and change its status to NEW.
Comment 8 Adolfo Jayme 2016-03-26 20:45:12 UTC
(In reply to Robert Vaccaro from comment #0)
> I don't really see the purpose of giving an option to disable the
> scrollbars.  IMO, this option shouldn't exist, as the scrollbars only show
> when they're needed anyway.

+100000000
Comment 9 Harald Koester 2016-08-25 14:17:04 UTC
Checked with version 5.2.0. Options "Horizontal Scrollbar" or "Vertical Scrollbar" do not exist anymore. Hence a fix is no longer necessary and bug marked as WONTFIX.